#### org.gnome.OnlineAccounts.OAuthBased D-Bus Interface [src]

# org.gnome.OnlineAccounts.OAuthBased

## Description

An account object implements this interface if OAuth 1.0 tokens are used for accessing it.

### Properties

### org.gnome.OnlineAccounts.OAuthBased:ConsumerKey

        ConsumerKey readable s

The consumer key.

### org.gnome.OnlineAccounts.OAuthBased:ConsumerSecret

        ConsumerSecret readable s

The consumer secret.

### Methods

### org.gnome.OnlineAccounts.OAuthBased.GetAccessToken

        GetAccessToken (
          OUT access_token s,
          OUT access_token_secret s,
          OUT expires_in i
        )

Use this method to obtain an access token that can be used to to access services for the account. Because networking is involved, this method may take a very long time to complete.

Note that calls to this method are logged.